Bug 1281343 - Please add a function gnutls_x509_crt_set_issuer_unique_id()
Please add a function gnutls_x509_crt_set_issuer_unique_id()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnutls (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nikos Mavrogiannopoulos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 05:54 EST by Andreas Schneider
Modified: 2015-11-25 16:52 EST (History)
3 users (show)

See Also:
Fixed In Version: gnutls-3.4.7-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-25 16:52:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Schneider 2015-11-12 05:54:28 EST
Description of problem:
I'm trying to implement the backupkey protocol in Samba using GnuTLS, for that I need a function to set the issuer unique id of a certificate.

GnuTLS removes the flag before signing and misses a function to set it. Please add it.


Thanks!
Comment 2 Fedora Update System 2015-11-23 05:11:12 EST
gnutls-3.4.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9b8c741e68
Comment 3 Fedora Update System 2015-11-23 21:23:16 EST
gnutls-3.4.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnutls'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9b8c741e68
Comment 4 Fedora Update System 2015-11-25 16:52:12 EST
gnutls-3.4.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.